using System.ComponentModel.DataAnnotations.Schema;

namespace EnotaryoPH.Data.Entities
{
    [Table("LawyerVideoConferenceParticipants")]
    public class LawyerVideoConferenceParticipant
    {
        [Column("LawyerVideoConferenceParticipantID")]
        public int LawyerVideoConferenceParticipantID { get; set; }

        [Column("LawyerVideoConferenceScheduleID")]
        public int LawyerVideoConferenceScheduleID { get; set; }

        [Column("ParticipantID")]
        public int? ParticipantID { get; set; }

        [Column("Status")]
        public string? Status { get; set; }

        [Column("CreatedOn")]
        public DateTime? CreatedOn { get; set; }

        [Column("LawyerVideoConferenceParticipant_UID")]
        public Guid? LawyerVideoConferenceParticipant_UID { get; set; }

        [ForeignKey("ParticipantID")]
        public User Participant { get; set; }

        [ForeignKey("LawyerVideoConferenceScheduleID")]
        public LawyerVideoConferenceSchedule LawyerVideoConferenceSchedule { get; set; }
    }
}